# -*- rpm-spec -*-
# $Id: tcl-snack,v 1.7 2003/03/11 10:36:08 lioka Exp $

%define teaname snack
%define major 2.2
%define uver %{major}.1

Name: tcl-%teaname
Version: %major
Release: alt3

Summary: Snack v2.2 - a sound toolkit for scripting languages
License: GPL
Group: Development/Tcl
Url: http://www.speech.kth.se/snack/

Source: http://www.speech.kth.se/~kare/%teaname%uver.tar.bz2
Patch: %teaname-2.1.4-make.patch

Requires: tcl >= 8.4.0-alt1
BuildRequires: libogg-devel libvorbis-devel tcl-devel >= 8.4.0-alt1 tk-devel >= 8.4.0-alt1
Provides: %teaname
Obsoletes: %teaname

%package demos
Summary: A collection of programs to demonstrate the features of the Snack
Group: Development/Tcl
Requires: %name = %version-%release tk >= 8.4.0-alt1
Provides: %teaname-demos
Obsoletes: %teaname-demos

%description
Snack is a sound processing toolkit designed as an extension
to a scripting language. Snack currently works with the scripting
languages Tcl/Tk and Python.

This package contains Tcl/Tk extension only.

%description demos
Snack is a sound processing toolkit designed as an extension
to a scripting language. Snack currently works with the scripting
languages Tcl/Tk and Python.

This package contains a collection of programs to demonstrate
the features of Snack

%prep
%setup -q -n%teaname%uver
%patch0 -p1

%build
cd unix
%add_optflags -DUSE_NON_CONST
%configure --with-ogg-lib=%_libdir --with-ogg-include=%_includedir
%make_build

%install
%__mkdir_p %buildroot%_tcldatadir/%teaname/demos %buildroot%_tcllibdir
%__install -m0755 unix/libsnack.so %buildroot%_tcllibdir
%__install -m0755 unix/libsound.so %buildroot%_tcllibdir
%__install -m0755 unix/libsnackogg.so %buildroot%_tcllibdir
%__install -m0644 unix/*.a %buildroot%_tcllibdir
%__install -p -m0644 unix/snack.tcl %buildroot%_tcldatadir/%teaname
%__rm -f demos/tcl/freewrap
%__install -p -m0644 demos/tcl/* %buildroot%_tcldatadir/%teaname/demos
%tea_makeindex -LSnack -v
%__chmod 0644 doc/*

%files
%doc COPYING README
%doc doc/* 
%_tcllibdir/*
%_tcldatadir/%teaname/*.tcl

%files demos
%_tcldatadir/%teaname/demos

%changelog
* Tue Mar 11 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 2.2-alt3
- 2.2.1 release

* Mon Sep 30 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.2-alt2
- 2.2b1

* Sat May 18 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.2-alt1
- 2.2a1

* Fri Nov 30 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 2.1.4-alt2
- fixed requires in demos subpackage

* Wed Nov 28 2001 Sergey Bolshakov <s.bolshakov@belcaf.com>  2.1.4-alt1
- Initial build for ALT Linux distribution.




